import request from '@/utils/request'
export default {
	//
	findHomePageReport(data) {
		return request({
			url: `/oil-interfaces/xoilSinoiovCustomerRiskevalReport/findHomePageReport`,
			method: 'get',
			params: data
		})
	},
	//获取支付记录
	getByPage(data) {
		return request({
			url: `/oil-interfaces/xoilSinoiovCustomerPayRecord/getByPage`,
			method: 'post',
			data: data
		})
	},
	//获取 产品列表
	Productlist(data) {
		return request({
			url: `/oil-interfaces/xoilSinoiovProduct/list`,
			method: 'GET',
			params: data
		})
	},
	//微信支付
	weiXinPay(data) {
		return request({
			url: `/oil-interfaces/xoilSinoiovCustomerPayRecord/weiXinPay`,
			method: 'post',
			data: data
		})
	},
	//查询评分报告详情
	xoilSinoiovCustomerRiskevalReport(data) {
		return request({
			url: `/oil-interfaces/xoilSinoiovCustomerRiskevalReport/get/${data.id}`,
			method: 'get',
		})
	},
	//查询评估报告
	getEvaluationReportById(data) {
		return request({
			url: `/oil-interfaces/xoilSinoiovCustomerSafeinfoReport/getEvaluationReportById`,
			method: 'get',
			params: data
		})
	},
	//获取
	findOldPlate(data) {
		return request({
			url: `/oil-interfaces/xoilSinoiovCustomerPayRecord/findOldPlate`,
			method: 'get',
			params: data
		})
	},
	//获取
	ybPay(data) {
		return request({
			url: `/oil-interfaces/xoilSinoiovCustomerPayRecord/ybPay`,
			method: 'post',
			data: data
		})
	},
}